


<div class="row" style="margin-top: 5%;">
  <div class="col-sm-10">
    <div class="form-field ">
     
          <mat-form-field class="example-form " appearance="fill">
            <mat-label>ค้นหาชนิดวัคซีน</mat-label>
            <input matInput id="insert" type="text"  #input (keyup)="search(input.value)">
          </mat-form-field>
       
    </div>
  </div>
  <div class="col-sm-2">
    <button class="btn btn-success" (click)="openDialogadd()">ADD</button>

  </div>
</div>

  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8 demo-table">

    <ng-container matColumnDef="demo-position">
      <th mat-header-cell *matHeaderCellDef> No. </th>
      <td mat-cell  *matCellDef="let element ; index as i"> {{i+1}} </td>
    </ng-container>
  
  
    <ng-container matColumnDef="demo-name">
      <th mat-header-cell *matHeaderCellDef> ชื่อ-สกุล </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>
  
 
    <ng-container matColumnDef="demo-sex">
      <th mat-header-cell *matHeaderCellDef> เพศ </th>
      <td mat-cell *matCellDef="let element"> {{element.sex}} </td>
    </ng-container>

    <ng-container matColumnDef="demo-date">
      <th mat-header-cell *matHeaderCellDef> วันที่ได้รับวัคซีน </th>
      <td mat-cell *matCellDef="let element"> {{element.date| date: "dd/MM/yyyy "}} </td>
    </ng-container>
  
   
      <ng-container matColumnDef="demo-type">
          <th mat-header-cell *matHeaderCellDef> ชนิด </th>
          <td mat-cell *matCellDef="let element"> {{element.type}} </td>
        </ng-container>
  
        <ng-container matColumnDef="demo-setting">
          <th mat-header-cell *matHeaderCellDef> ตั้งค่า </th>
          <td mat-cell *matCellDef="let element">
            <div class="row">
              <div class="clo-sm-2 button-edit-delect" ><mat-icon aria-hidden="false" (click)="openDialogedit(element.ID)" style="color: green;" aria-label="Example edit icon" >edit</mat-icon></div>
              <div class="clo-sm-2 button-edit-delect"><mat-icon aria-hidden="false" style="color: red;" aria-label="Example delete icon"(click)="Service.delect(element.ID)" >delete</mat-icon></div>
            </div>
            
          </td>
        </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <mat-paginator [pageSizeOptions]="[6, 8, 10]"
  showFirstLastButtons 
  aria-label="Select page of periodic elements">
</mat-paginator>
  
    